#ifndef SEGKIT_ODOMETER_H
#define SEGKIT_ODOMETER_H

/* ---------------------------------------------------------------------- */
/*   EXTERNAL DATA                          */
/*  All these data are defined in odom_sim.c */
/* ---------------------------------------------------------------------- */

extern double Glob_pos[4]; /* array for the robot location. 
			      0 = x
			      1 = y
			      2 = th
			      3 = tur

			      */

extern double Vpos[6]; /* Variance on three parameters x,y,th
			  the transformation between th and tu is 
			  suposed to be certain
			  */


/******* 
  starting position (and its variance) of the
  robot in the choosen absolute frame; By default,
  the absolute frame is located at the starting position of the robot
  and the variance is set to zero.
********/
  
extern double Loc2Abs[3] ;
extern double Vloc2abs[6];

/****************
  robot encoder location
****************/

extern double rob_enc[4]; /* position given by encoders */
extern double Vrob_enc[6]; /* variance on the encoders integration */


extern double Prev_pos[4];

extern int RealVariance;  

extern double prev_odo[3];

#ifndef M_PI
#define M_PI  3.141592653589793
#endif  /* M_PI */

#ifndef DEG_TO_RAD
#define DEG_TO_RAD(x) ((x)*M_PI/180.0)
#endif  /* DEG_TO_RAD */

#ifndef SQR
#define SQR(x) ((x)*(x))
#endif  /* SQR */


#include "odometer_p.h"

#endif

